# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

### [v2.1.0](https://github.com/setaman/vue-ellipse-progress/compare/v2.0.0...v2.1.0)

> 15 January 2022



#### Merged

- fix: correctly apply dash property [`#147`](https://github.com/setaman/vue-ellipse-progress/pull/147)
- Extend loader props [`#140`](https://github.com/setaman/vue-ellipse-progress/pull/140)
- Consistently apply transitions [`#132`](https://github.com/setaman/vue-ellipse-progress/pull/132)


#### Commits (18)


##### ✅ New Features

- feat: add animation to legend toggle [`885fbda`](https://github.com/setaman/vue-ellipse-progress/commit/885fbdaca3e8cb39f98e9381173da1126ba37657)
- feat: add loader animation duration option [`561859c`](https://github.com/setaman/vue-ellipse-progress/commit/561859c08a7cb7b2ccabbbf1000914edf4dd028b)
- feat: use offsetHeight instead of clientHeight [`15c4b16`](https://github.com/setaman/vue-ellipse-progress/commit/15c4b16a20a4d0ed13e5f282667a12e4b346260f)

##### 🚧 Fixes

- fix: apply transition properly to loader circle [`9d6e4ee`](https://github.com/setaman/vue-ellipse-progress/commit/9d6e4ee909700eee999fb438849c21a60d529457)
- fix: avoid evaluation error in isHTML computed prop [`74f40f1`](https://github.com/setaman/vue-ellipse-progress/commit/74f40f121c2de9d156d20c87a58d910fdf977b7f)
- refac: fix linting warnings [`1ccac17`](https://github.com/setaman/vue-ellipse-progress/commit/1ccac17d07a89e01c8774016962262bd465ebe10)

##### 📜 Misc

- chore: add CHANGELOG.md [ci skip] [`a35cc1e`](https://github.com/setaman/vue-ellipse-progress/commit/a35cc1e84ef94ee666ac6cccbb7aa8121ff842a6)
- test: improve and extend Counter tests [`8bdbe4d`](https://github.com/setaman/vue-ellipse-progress/commit/8bdbe4dcc35f527b0134f1f58067ad162d0536ad)
- test: add hideLegend tests [`f19d30a`](https://github.com/setaman/vue-ellipse-progress/commit/f19d30a5f7b9954efc8e60dd448728be10473850)
- chore: use node 16 in github actions [`6cf5f44`](https://github.com/setaman/vue-ellipse-progress/commit/6cf5f44485e8d96c1bd1e1dd0ce1cdf8fe5f6e1a)
- chore: reset node version to 14 [`b33dbd4`](https://github.com/setaman/vue-ellipse-progress/commit/b33dbd4b948d1ada1d1c8838b0d22586855d0222)
- docs: update loader description [`9044cf2`](https://github.com/setaman/vue-ellipse-progress/commit/9044cf2445af74ac381261a4cc112be523956fa4)
- chore: reset node version to 14 in build action [`8c3f35c`](https://github.com/setaman/vue-ellipse-progress/commit/8c3f35c4f82f20ab043a0c7a098cb8b4659fb5cd)
- test: slightly adjust Counter animation test [`7f4b213`](https://github.com/setaman/vue-ellipse-progress/commit/7f4b2134556e3eb82cc12253d52cf9f75c73c92a)
- docs: fix badges links [ci skip] [`564b78a`](https://github.com/setaman/vue-ellipse-progress/commit/564b78a8b204fa3b0666a38479e42cb6d9d6bc31)
- chore: fix build action [`ad8918a`](https://github.com/setaman/vue-ellipse-progress/commit/ad8918a3788faa8334804c57f502dd5f14f00439)

---

### [v2.0.0](https://github.com/setaman/vue-ellipse-progress/compare/v2.0.0-beta.1...v2.0.0)

> 21 May 2021



#### Merged

- Configure GitHub actions [`#122`](https://github.com/setaman/vue-ellipse-progress/pull/122)
- chore: add changelog generator [`#115`](https://github.com/setaman/vue-ellipse-progress/pull/115)
- V2 unit test [`#114`](https://github.com/setaman/vue-ellipse-progress/pull/114)


#### Commits (39)


##### ✅ New Features

- feat: calculate counter progress and pass it to legendFormatter/default slot [`97e0b7f`](https://github.com/setaman/vue-ellipse-progress/commit/97e0b7f9c50494e723413bd2bc35ef63b56f7730)
- feat: add simple legend formatting [`5a29e35`](https://github.com/setaman/vue-ellipse-progress/commit/5a29e35121713117cdd10277a40a315ba1de0074)

##### 🚧 Fixes

- fix: add basic loader testes [`237c4ff`](https://github.com/setaman/vue-ellipse-progress/commit/237c4ffe9e674d1ce95040e1438f105d86b27501)
- fix: add class to half circle loader container [`ac1c935`](https://github.com/setaman/vue-ellipse-progress/commit/ac1c935cce3b06d43814ed74a19c6d7ff4c568c3)
- fix: extend #loader tests [`083cc8c`](https://github.com/setaman/vue-ellipse-progress/commit/083cc8c717af619af7227c51dccf4620d7d81c43)
- fix: counter count progress calculation [`c9159b4`](https://github.com/setaman/vue-ellipse-progress/commit/c9159b4c137828620f47626614e3f82f9fa3593b)
- fix: improve passed counter props to formatter [`55cb952`](https://github.com/setaman/vue-ellipse-progress/commit/55cb952c3d877c07cf0c95b448fd584b453facef)
- fix: refactor #dot tests [`e8da1be`](https://github.com/setaman/vue-ellipse-progress/commit/e8da1be2035108e19e06aea6e01d3511587b39c7)
- fix: simplify container slots markup [`4ba1fe6`](https://github.com/setaman/vue-ellipse-progress/commit/4ba1fe69c7852a1ce767a249dc977a8d2ed4b814)
- fix: disable simple formatting for negative values [`75f4855`](https://github.com/setaman/vue-ellipse-progress/commit/75f4855bce59b08007eecabf79f238f1f61ba9f8)
- fix: apply dot bounce animation duration correctly [`f3024d6`](https://github.com/setaman/vue-ellipse-progress/commit/f3024d63c83f79718d0f525ae41f9a3a109b8444)
- fix: set lineMode correctly for loader circle if data defined [`c9c341f`](https://github.com/setaman/vue-ellipse-progress/commit/c9c341f9d07ee11b7cd0c96d2e00939363f804e8)
- refac: run linter [`af7e464`](https://github.com/setaman/vue-ellipse-progress/commit/af7e464bf52d6237fbcf93389fa532d48df85796)
- fix: do not render dot with size 0 [`8ae4c1c`](https://github.com/setaman/vue-ellipse-progress/commit/8ae4c1c337b785bb1ade8e86e4ff96649850f5b4)
- fix: assign properly half circle loader stroke-line attribute [`c1eedf4`](https://github.com/setaman/vue-ellipse-progress/commit/c1eedf40077b9b50bc535bf4edfbd2f8841e2339)

##### 📜 Misc

- chore: bump deps [`98b163b`](https://github.com/setaman/vue-ellipse-progress/commit/98b163b5e4cf0f52d5cd6d3a48ed65ee3a54ca7e)
- chore: bump dev deps [`2c76068`](https://github.com/setaman/vue-ellipse-progress/commit/2c76068b21b444da7e8a9e1408e7fb07d5b61a5b)
- chore: add build action [`538d2b7`](https://github.com/setaman/vue-ellipse-progress/commit/538d2b7c55e895c62deff88fd21e277a92c4db77)
- test: add linePosition tests [`92eeba6`](https://github.com/setaman/vue-ellipse-progress/commit/92eeba6219b96628a18bc15685e65bd7f182c9ae)
- chore: bump deps [`a0812ea`](https://github.com/setaman/vue-ellipse-progress/commit/a0812ea11bdb225f5fd91c4c0149967834c9b225)
- chore: bump dev deps versions [`9f81d0f`](https://github.com/setaman/vue-ellipse-progress/commit/9f81d0f71af67ab8716a0da2593338bfa7b810ea)
- test: refactor test to consistently use components factory [`36fcfa2`](https://github.com/setaman/vue-ellipse-progress/commit/36fcfa2cfeefe263db3091960d04432b430e51e2)
- test: extend counter tests [`5afac40`](https://github.com/setaman/vue-ellipse-progress/commit/5afac409291e89e98cde56facbd0cce05a8e3ad5)
- test: refactor line mode tests [`2302277`](https://github.com/setaman/vue-ellipse-progress/commit/2302277419e1066559586c4be9c21bfde65a27a8)
- test: extend #thickness tests [`a54487c`](https://github.com/setaman/vue-ellipse-progress/commit/a54487c1aabafd0b5192bbf37c7bad9bda9723a8)
- docs: corrections [`9457d28`](https://github.com/setaman/vue-ellipse-progress/commit/9457d28afa874db7f95cef717f9a27b3ad55437b)
- chore: downgrade sass-loader to v10 [`6ee4062`](https://github.com/setaman/vue-ellipse-progress/commit/6ee40629cdb83af413904d90e049582acb3713b6)
- test: extend #animation tests [`003939d`](https://github.com/setaman/vue-ellipse-progress/commit/003939d2d485eb14c232cf8ddbb64183fc2ab396)
- test: fix #determinate tests [`6c526c8`](https://github.com/setaman/vue-ellipse-progress/commit/6c526c8b1e7430dd1480df56872b55ea728e5c76)
- docs: more corrections [ci skip] [`a2b9928`](https://github.com/setaman/vue-ellipse-progress/commit/a2b9928cb6d80713823173aa6015079379b781ab)
- chore: remove .travis.yml [`d652e3c`](https://github.com/setaman/vue-ellipse-progress/commit/d652e3c2e938d7772877980614b8660fa550cd2e)
- test: extend #legendFormatter tests [`726125c`](https://github.com/setaman/vue-ellipse-progress/commit/726125cb6bf1c39abec08f61aa1c6de34b5ba1f1)
- test: fix animation and dot tests [`0f68632`](https://github.com/setaman/vue-ellipse-progress/commit/0f68632124641eb508b3311e4939d4686bafb36e)
- test: fix slot tests [`5981e9d`](https://github.com/setaman/vue-ellipse-progress/commit/5981e9d32c6ce1d5e4470d831e4a14652bf608a7)
- doc: update #legend description [`5080a8f`](https://github.com/setaman/vue-ellipse-progress/commit/5080a8f76c99d07f78a6bf5dfe62cbee0a02b7d2)
- test: fix #loading tests [`da051d1`](https://github.com/setaman/vue-ellipse-progress/commit/da051d125b29f78e909a4142a106cb5bac469a94)
- chore: update browserslist db [skip ci] [`1d69345`](https://github.com/setaman/vue-ellipse-progress/commit/1d693450348b8982d5f2c9a6b44a3279a36d1d0b)
- test: extend Counter tests [`037bb3f`](https://github.com/setaman/vue-ellipse-progress/commit/037bb3f30a880de2884a750160d2ef7411953609)
- test: fix slot name in slots tests [`808eb3b`](https://github.com/setaman/vue-ellipse-progress/commit/808eb3bb220c0b6b3e1940af6a5906ed802c556f)

---

### [v2.0.0-beta.1](https://github.com/setaman/vue-ellipse-progress/compare/v2.0.0-beta.0...v2.0.0-beta.1)

> 15 February 2021



#### Merged

- #100 fix gradient colors handling [`#101`](https://github.com/setaman/vue-ellipse-progress/pull/101)
- V2 improve loader prop handling [`#99`](https://github.com/setaman/vue-ellipse-progress/pull/99)


#### Commits (23)



##### 🚧 Fixes

- fix: apply loader gradient color correctly [`7fda5cd`](https://github.com/setaman/vue-ellipse-progress/commit/7fda5cdd10d02b3c15ebf895c7cef9e12c48cc14)
- fix: loader lineMode parsing [`6303f82`](https://github.com/setaman/vue-ellipse-progress/commit/6303f82114ca3d39e2e476029dfd049844b95ae7)
- fix: fix gradients handling in half circle [`b3e8d60`](https://github.com/setaman/vue-ellipse-progress/commit/b3e8d6067a4e53fa6aa8a0f694a5f7c6fb484a17)
- fix: extend loader parser [`365a12c`](https://github.com/setaman/vue-ellipse-progress/commit/365a12cad261d9ea3134ff9590a80adcd36823ab)
- fix: consistently use uid for gradient colors definition [`d24e724`](https://github.com/setaman/vue-ellipse-progress/commit/d24e724940940cce155dc580ff1afc24b2c68dc5)
- fix: add loader parser [`faa77d5`](https://github.com/setaman/vue-ellipse-progress/commit/faa77d5433fd8dfc99bc61bb664f2a34e2ba0084)
- fix: use vue components uid as circle uid [`ef3dbea`](https://github.com/setaman/vue-ellipse-progress/commit/ef3dbea6da4a1e5a8f8a95c2cff6204c08fb7a45)
- fix: cleanup half loader component [`4590d73`](https://github.com/setaman/vue-ellipse-progress/commit/4590d73f593147ecf8fe6d4397cea66c40b32afc)
- fix: adjust loader parser [`4e4250d`](https://github.com/setaman/vue-ellipse-progress/commit/4e4250d43b303403ded9d3267f57ca476aec23e7)
- fix: remove loader animation opacity [`2da6678`](https://github.com/setaman/vue-ellipse-progress/commit/2da667886c06ff5ae07531a236399c191af600f7)
- fix: use uid in gradient element id attribut [`15d762a`](https://github.com/setaman/vue-ellipse-progress/commit/15d762a1c197546a2ae064f4061f9692b8d350a2)
- fix: do not assign id attribut to circle svg element [`e74478e`](https://github.com/setaman/vue-ellipse-progress/commit/e74478efe54147a754d5463b62b3880bc9400e39)

##### 📜 Misc

- chore: bump dev deps [`b024d5f`](https://github.com/setaman/vue-ellipse-progress/commit/b024d5f18d75bbe176f25f798ffddb020d7d8c12)
- chore: bump vue version [`fe88862`](https://github.com/setaman/vue-ellipse-progress/commit/fe88862244e5f00cd6c1d2822cb5636cba4668e8)
- chore: remove npm readme [`7cd669c`](https://github.com/setaman/vue-ellipse-progress/commit/7cd669ccaaae896babc19efb49f16e10cdf1cb9c)
- chore: bump deps [`567526f`](https://github.com/setaman/vue-ellipse-progress/commit/567526fde628d00eae92723000056fd7c0cb35fd)
- chore: remove tests config fix related to vue-cli bug [`1016e11`](https://github.com/setaman/vue-ellipse-progress/commit/1016e11d0deecc2c80bbef3c9d78837a01562328)
- test: set loader default value for circles [`c6067f3`](https://github.com/setaman/vue-ellipse-progress/commit/c6067f3567db3148d77185c9ba7e4329516f20ee)
- chore: bum test-utils version [`7c0a911`](https://github.com/setaman/vue-ellipse-progress/commit/7c0a911cc9db7937fc09a39c64b2f6fae18ee148)
- test: adjust colors tests [`f59442a`](https://github.com/setaman/vue-ellipse-progress/commit/f59442a49e7fba03a2a3c88cedbc7967ed3f7118)
- doc: update version label [`873a4cc`](https://github.com/setaman/vue-ellipse-progress/commit/873a4cc4a9a90b7aaab96aa0a817b03946a22554)

---

### [v2.0.0-beta.0](https://github.com/setaman/vue-ellipse-progress/compare/v2.0.0-alpha.5...v2.0.0-beta.0)

> 5 January 2021



#### Merged

- V2 fix tests [`#97`](https://github.com/setaman/vue-ellipse-progress/pull/97)
- V2 improve prop naming [`#95`](https://github.com/setaman/vue-ellipse-progress/pull/95)
- V2 stroke alignment [`#93`](https://github.com/setaman/vue-ellipse-progress/pull/93)


#### Commits (74)

##### ⚠️Breaking Changes

- fix!: rename lineMode mode normal to center [`3e6594c`](https://github.com/setaman/vue-ellipse-progress/commit/3e6594c584eb88a9cb60f9dab7343bc0d4559e71)
- fix!: rename legend-value slot to legend [`cea9b02`](https://github.com/setaman/vue-ellipse-progress/commit/cea9b0233091cb6bf1308b30607f9ac5061761d1)
- refac!: rename legendValue to legend [`db9ce0f`](https://github.com/setaman/vue-ellipse-progress/commit/db9ce0f46cbf987bee1c4b74fc59eeee2338d70b)
- refac!: rename legend to hideLegend [`619ba51`](https://github.com/setaman/vue-ellipse-progress/commit/619ba51bbbb38560f76a3448f6183a66cd429043)

##### ✅ New Features

- feat: add linePosition prop definition [`39c8020`](https://github.com/setaman/vue-ellipse-progress/commit/39c8020fe81d0678d37b2b9f3b54b3aae9235c16)
- feat: add empty fill circle [`bd999a0`](https://github.com/setaman/vue-ellipse-progress/commit/bd999a03478c85559dd7ecb529d30ff01fdf436f)
- feat: add offset value to linePosition prop [`b341b89`](https://github.com/setaman/vue-ellipse-progress/commit/b341b8978ecfbf60e0fe1b447c7ac4ad61533d5d)
- feat: add fill circle radius calculations [`4bf31e9`](https://github.com/setaman/vue-ellipse-progress/commit/4bf31e97b0d5ac4c28cf30600836386eca9f5d35)
- feat: add separate fill circle [`9cda4d9`](https://github.com/setaman/vue-ellipse-progress/commit/9cda4d987606c5c01fd8f362a713eda691bd71e4)
- feat: add linePosition prop parser [`f1b87c5`](https://github.com/setaman/vue-ellipse-progress/commit/f1b87c539810ec688bf7ddb14bac47e26a4d94b3)

##### 🚧 Fixes

- refac: cleanup components [`37f36e5`](https://github.com/setaman/vue-ellipse-progress/commit/37f36e5bafe3690f17b4a61a1720504f680cb5d6)
- refac: options parser [`08c71f4`](https://github.com/setaman/vue-ellipse-progress/commit/08c71f400d371a6fc5d55f7beef28f4165722a20)
- fix: add half fill circle positioning [`408aad2`](https://github.com/setaman/vue-ellipse-progress/commit/408aad22097708d44db706149c32bdeb0a25ff7b)
- refac: half circle methods [`c5a3311`](https://github.com/setaman/vue-ellipse-progress/commit/c5a3311182a058ed3350c09a02b2d7606ad7d9ff)
- fix: fill circles rendering condition [`1605248`](https://github.com/setaman/vue-ellipse-progress/commit/1605248dab9fea36867f6bf9add241bac25723e8)
- refac: fill circles radius calculation [`06c96f6`](https://github.com/setaman/vue-ellipse-progress/commit/06c96f6073699b28d97e3ca5cb093b58aa28167b)
- refac: lineMode parser [`f6e53f3`](https://github.com/setaman/vue-ellipse-progress/commit/f6e53f34db42a8b51907b36a6fbc7f150668dc76)
- fix: dashed line creation [`7a1d68c`](https://github.com/setaman/vue-ellipse-progress/commit/7a1d68c1dc7339ea7e358a601167548c3b531a3f)
- fix: add webpack config fix to be able to tun tests [`6b2fc86`](https://github.com/setaman/vue-ellipse-progress/commit/6b2fc86fd44dd67f049ce46e85ca5523ce46c407)
- fix: loader prop validation [`ee378a7`](https://github.com/setaman/vue-ellipse-progress/commit/ee378a7af4d161a52720eeda8c85759b540caa46)
- refac: legend usage in code [`37a237a`](https://github.com/setaman/vue-ellipse-progress/commit/37a237a40aa3199cf1b61600f636f23cc144d55d)
- fix: move loader to the front of fill circle [`338b8f5`](https://github.com/setaman/vue-ellipse-progress/commit/338b8f5b79be08f992553f3d11030c4d7e3e3414)
- fix: do not render fill circles if no fill color specified [`d0ed3a1`](https://github.com/setaman/vue-ellipse-progress/commit/d0ed3a1800582946284a02bc9d44cc7b8057b1b3)
- fix: apply transition to half fill circle [`09703a2`](https://github.com/setaman/vue-ellipse-progress/commit/09703a209905d1a70024e70061c100f3c81a5697)
- fix: apply correctly empty color fill to half circle [`fc934d4`](https://github.com/setaman/vue-ellipse-progress/commit/fc934d4080bc5b48a751496b23b955cfcdfb88a1)
- fix: parse offset to float in linePositionParser [`4617533`](https://github.com/setaman/vue-ellipse-progress/commit/461753311bfd5e50648d1981ff98094d2f97e3e4)
- fix: remove unused variable [`6a45c2a`](https://github.com/setaman/vue-ellipse-progress/commit/6a45c2a34fdc07835d8b98e1dfb8ae2466bb22b7)
- fix: set half loader circle fill to transparent [`9c0347b`](https://github.com/setaman/vue-ellipse-progress/commit/9c0347bdfde3073c4dc89f0ca3a5934fe63774b8)
- fix: apply noData state class to empty fill circle [`4a1c1e1`](https://github.com/setaman/vue-ellipse-progress/commit/4a1c1e1358711a90d521681eb6c0e718936365de)

##### 📜 Misc

- chore: bump deps [`eca5372`](https://github.com/setaman/vue-ellipse-progress/commit/eca53723f719daf0ce19e9ce40bd5e91087a7267)
- chore: run linter [`1f125b5`](https://github.com/setaman/vue-ellipse-progress/commit/1f125b5da4571132206351fb0c3166ee606da1e0)
- test: fix counter tests [`a6f67b6`](https://github.com/setaman/vue-ellipse-progress/commit/a6f67b6096813faec814fd1fbc1f4ea41993004a)
- doc: add emojis [`bfc0e38`](https://github.com/setaman/vue-ellipse-progress/commit/bfc0e382788a25282728ccb727f5fc0418a0339b)
- doc: add linePosition description [`4e6f349`](https://github.com/setaman/vue-ellipse-progress/commit/4e6f349bc0e4b4adcec230457c65502e8e712052)
- test: extend color tests [`61901ab`](https://github.com/setaman/vue-ellipse-progress/commit/61901ab8d4ba39f1aeb612f41246b7cc371636f4)
- doc: adjust options section [`58841d0`](https://github.com/setaman/vue-ellipse-progress/commit/58841d0da1179357a09126280fa485151b3ff413)
- test: add dot default value test [`ac9a2ea`](https://github.com/setaman/vue-ellipse-progress/commit/ac9a2eaa0b00762698f67f5a59196e0d9308088c)
- test: fix lineMode tests [`51db3ac`](https://github.com/setaman/vue-ellipse-progress/commit/51db3ac3b176eece6c1feef5c50f56be34dc03c0)
- test: correctly set props [`fbdaa97`](https://github.com/setaman/vue-ellipse-progress/commit/fbdaa970d1694102711d5233aefac05ffeca0d58)
- test: add dot parser tests [`5126dbd`](https://github.com/setaman/vue-ellipse-progress/commit/5126dbdc0193c8468eea97b057eba6eca38416d2)
- test: fix and refactor animation tests [`4408c82`](https://github.com/setaman/vue-ellipse-progress/commit/4408c82fd297bd27782537d130640ea510d6d27a)
- test: pass animation prop properly to counter tests [`825c6d1`](https://github.com/setaman/vue-ellipse-progress/commit/825c6d16b8b53f4a32ac79eb5223751f01ce1f51)
- test: add animation parser tests [`3a49c4f`](https://github.com/setaman/vue-ellipse-progress/commit/3a49c4f40448a16b93cbda296a4bfe1c6d3bb1f8)
- test: fix data tests [`4676b1a`](https://github.com/setaman/vue-ellipse-progress/commit/4676b1a088030fd21940f3606f484676143fab95)
- test: adjust dot tests [`878c055`](https://github.com/setaman/vue-ellipse-progress/commit/878c055ad0087ef3dd3af11e8a21cf686860d494)
- test: pass animation tests animation prop properly [`9d83db0`](https://github.com/setaman/vue-ellipse-progress/commit/9d83db0c8f272d547098eec945722230106cdb3c)
- doc: update legend and hideLegend props docs [`987675f`](https://github.com/setaman/vue-ellipse-progress/commit/987675f18c4e80bf9cf7b62fcb8683146b8ab552)
- test: fix all color tests [`9b02d2a`](https://github.com/setaman/vue-ellipse-progress/commit/9b02d2ae078a28eb3554d8db491589fb1e4b624d)
- test: add linePosition parser tests [`783a2a2`](https://github.com/setaman/vue-ellipse-progress/commit/783a2a2d4567b34948f707c22d3bc48fc3c2e6d6)
- test: refactor thickness tests [`a6d4581`](https://github.com/setaman/vue-ellipse-progress/commit/a6d4581f73d0e0722365a2cb571f97ee8610fa1c)
- test: add lineMode parser tests [`4bc6952`](https://github.com/setaman/vue-ellipse-progress/commit/4bc695261a80f9e7dcbeff272603db6a9b5685d6)
- test: fix complete dot suite [`cc89fdf`](https://github.com/setaman/vue-ellipse-progress/commit/cc89fdf1c180bd4f66ba90848f2a12d5d3fbed14)
- test: add dash parser tests [`01d2913`](https://github.com/setaman/vue-ellipse-progress/commit/01d2913ea2f698fe5650b8e156f37ca7e256551e)
- doc: update installation section [`5cfe4b9`](https://github.com/setaman/vue-ellipse-progress/commit/5cfe4b96a29926a95b4490b7517190e90c7b84b4)
- test: extend animation parser tests [`1b56ba5`](https://github.com/setaman/vue-ellipse-progress/commit/1b56ba5e4df6f1876be5d9fa33f4644a1f07f1c9)
- doc: update slots usage [`dc391aa`](https://github.com/setaman/vue-ellipse-progress/commit/dc391aac2e74bba5355bf7a8f494b544654a9634)
- doc: update main section [`761813f`](https://github.com/setaman/vue-ellipse-progress/commit/761813f24dd5248a99fc09b2879c3db3af42a202)
- doc: update badges [`7799229`](https://github.com/setaman/vue-ellipse-progress/commit/7799229ba3e3955475fb6e6caf5fb802c60a3580)
- test: fix dash tests [`1026e4c`](https://github.com/setaman/vue-ellipse-progress/commit/1026e4cb2d19e5143485aeabf44de9acf73774ad)
- doc: correct slot examples [`4e8354a`](https://github.com/setaman/vue-ellipse-progress/commit/4e8354a5a54ebfb0fea4db9f5289ec312db2c922)
- test: adjust animation tests [`7903b8a`](https://github.com/setaman/vue-ellipse-progress/commit/7903b8a340922d670c14ca047b97192e6c2a1e22)
- test: fix circle progress tests [`22422b5`](https://github.com/setaman/vue-ellipse-progress/commit/22422b592a49f72573bdf6391f04ace60f0fd0b8)
- doc: update compatibility section [`88eca7f`](https://github.com/setaman/vue-ellipse-progress/commit/88eca7f3c7658c92df0883f92708f7d5140434ef)
- doc: adjust color docs [`8f0c7bb`](https://github.com/setaman/vue-ellipse-progress/commit/8f0c7bb6541c1c97e16edfe0b49ab429608464ab)
- doc: update lineMode mode naming [`ed95c51`](https://github.com/setaman/vue-ellipse-progress/commit/ed95c51cb98e7151a0b2517f142b9dc86c94a051)
- test: fix container data tests [`ec8c6ab`](https://github.com/setaman/vue-ellipse-progress/commit/ec8c6ab6b28e5fafa57254e2ba6a643936b74569)
- doc: corrections [`a7c23fd`](https://github.com/setaman/vue-ellipse-progress/commit/a7c23fdc2531d779f8ec7f1117999f06bd8412fc)
- test: fix half circle progress tests [`f787d8e`](https://github.com/setaman/vue-ellipse-progress/commit/f787d8e3a33e9cb19a24640b448cd4b00f444c0b)
- test: fix legendFormatter tests [`55c8a9c`](https://github.com/setaman/vue-ellipse-progress/commit/55c8a9c23e88f94086c74ac7328d736ee9a159b8)

---

### [v2.0.0-alpha.5](https://github.com/setaman/vue-ellipse-progress/compare/v2.0.0-alpha.4...v2.0.0-alpha.5)

> 13 December 2020



#### Merged

- V2 improve build [`#92`](https://github.com/setaman/vue-ellipse-progress/pull/92)


#### Commits (13)

##### ⚠️Breaking Changes

- fix!: change plugin initialization [`6c0391d`](https://github.com/setaman/vue-ellipse-progress/commit/6c0391d2f5be140ddb5ec38fff25ffe424aa9fb5)
- fix!: short component name to ve-progress [`da8710a`](https://github.com/setaman/vue-ellipse-progress/commit/da8710ade8d81daea669c89fa7653afd794262a8)

##### ✅ New Features

- feat: export component in the build [`f8d0ca7`](https://github.com/setaman/vue-ellipse-progress/commit/f8d0ca718441df5e989d221c0422f7ddc47da339)


##### 📜 Misc

- chore: bump deps [`73fadfa`](https://github.com/setaman/vue-ellipse-progress/commit/73fadfad1ce6a5f9b5bc87cf83eb19539122d156)
- chore: bump deps [`acd25ad`](https://github.com/setaman/vue-ellipse-progress/commit/acd25ad91ba385f9583b480d9748b128536ac9ee)
- doc: update initialization guide [`792657e`](https://github.com/setaman/vue-ellipse-progress/commit/792657eda3dacb55bb72ad811bc4c89524f2473d)
- doc: update CDN initialization guide [`6b6bc8a`](https://github.com/setaman/vue-ellipse-progress/commit/6b6bc8a0f9d3a08d0c05a4f45f5e50f12256f177)
- doc: remove version notes badges [`9ff8952`](https://github.com/setaman/vue-ellipse-progress/commit/9ff8952c50818db9f48921f6d3fbcc58307f46c8)
- chore: add codeclimate config [`3f84fd7`](https://github.com/setaman/vue-ellipse-progress/commit/3f84fd7188ff89d1bc784cb9a2746bc1b033b6f9)
- doc: update plugin initialization [`d40cad4`](https://github.com/setaman/vue-ellipse-progress/commit/d40cad41d65054108a6a669b85cd29b456b0254d)
- doc: corrections [`4a72146`](https://github.com/setaman/vue-ellipse-progress/commit/4a72146a5658d8f6ae48e6edd65fa931a33c57d8)
- chore: update travis config [`c32ac14`](https://github.com/setaman/vue-ellipse-progress/commit/c32ac147e9db44f63b6592bb25f68bc940ade42e)
- doc: update npm badge [`038a7fb`](https://github.com/setaman/vue-ellipse-progress/commit/038a7fb57141e58f427239e49efc6c9ea8c2395a)

---

### [v2.0.0-alpha.4](https://github.com/setaman/vue-ellipse-progress/compare/v1.3.0...v2.0.0-alpha.4)

> 30 October 2020



#### Merged

- V2 loader option [`#90`](https://github.com/setaman/vue-ellipse-progress/pull/90)
- V2 circle mixin refactoring [`#89`](https://github.com/setaman/vue-ellipse-progress/pull/89)
- V2 global props parsing [`#88`](https://github.com/setaman/vue-ellipse-progress/pull/88)


#### Commits (32)


##### ✅ New Features

- feat: add half circle loader [`5e57029`](https://github.com/setaman/vue-ellipse-progress/commit/5e57029154c893194e5a8384d9dfb1a9f1c5f073)
- feat: add loader prop validator [`cb073b9`](https://github.com/setaman/vue-ellipse-progress/commit/cb073b91d9c2cf939e651f98bea0a99f5d7383b5)
- feat: add loader prop and component [`1a0e6c1`](https://github.com/setaman/vue-ellipse-progress/commit/1a0e6c12e1eaa52627703eb68ebefd0bdf91d5f5)
- feat: add loader options parsing [`dc04249`](https://github.com/setaman/vue-ellipse-progress/commit/dc042499094f7f2fc73c8f43d307721fbd8d9352)
- feat: add loader opacity handling [`df90bf3`](https://github.com/setaman/vue-ellipse-progress/commit/df90bf3247618dc1f87483579b5740910e14183c)
- feat: add half circle loader opacity handling [`b637f21`](https://github.com/setaman/vue-ellipse-progress/commit/b637f21b35b0749aa3658ad9bff4ab3a8122154e)

##### 🚧 Fixes

- refac: run linter [`ba4036e`](https://github.com/setaman/vue-ellipse-progress/commit/ba4036ea698c554cbb47ba8ad874d680d2766013)
- fix: rewrite props parsing strategy [`cfe8315`](https://github.com/setaman/vue-ellipse-progress/commit/cfe83158a406bb110d55467541378e8252b7cb5b)
- fix: move entire radius calculation logic to dedicated module [`08fe919`](https://github.com/setaman/vue-ellipse-progress/commit/08fe919ad0ee0b7f19e0fee1081dca1f5de1cbd5)
- fix: clean up interface.js [`b4f8608`](https://github.com/setaman/vue-ellipse-progress/commit/b4f8608640db04b2d5590eb316f2806252734e28)
- fix: remove redundancies on options parsing [`b6e99ff`](https://github.com/setaman/vue-ellipse-progress/commit/b6e99ffaa5d21d7940ba339bf23e263c3e60ed3f)
- fix: top and bottom line modes [`417ec63`](https://github.com/setaman/vue-ellipse-progress/commit/417ec63c1b517b81c21da0319064b2a07937fd72)
- fix: out-over line modes [`6ae3445`](https://github.com/setaman/vue-ellipse-progress/commit/6ae3445e30d2570d720ba721512087f4388ad82e)
- fix: radius calculation in multiple mode [`1561066`](https://github.com/setaman/vue-ellipse-progress/commit/15610668426ae0a6448e12e56d0c8464be546782)
- fix: legendValue rendering [`2e74bb5`](https://github.com/setaman/vue-ellipse-progress/commit/2e74bb54110c9bf5a5d50a75b3cca5fc29505f9e)
- fix: in line mode [`4b5dd3b`](https://github.com/setaman/vue-ellipse-progress/commit/4b5dd3b178db390d2ea3de1f51c0ed979410ca19)
- fix: correctly set multiple prop for each circle [`d733ac6`](https://github.com/setaman/vue-ellipse-progress/commit/d733ac6a703f00a9848cd36a79fe94ad9fbda90e)
- fix: circles options preparation [`ddb584a`](https://github.com/setaman/vue-ellipse-progress/commit/ddb584a8f3454a04a43d45f6bddf6e2afcdaf231)
- fix: half circle loader class name [`ac6981c`](https://github.com/setaman/vue-ellipse-progress/commit/ac6981cc7589dc3a00b4aba4dbf02572b11497fd)
- refac: CircleContainer.vue component name [`51d53cc`](https://github.com/setaman/vue-ellipse-progress/commit/51d53ccd5fc69b75b03c11c9cf48cb30ca38677e)

##### 📜 Misc

- chore: update vue and relevant deps to @next [`e94e588`](https://github.com/setaman/vue-ellipse-progress/commit/e94e5884f6f758826231e6f8fe796f493a765a4b)
- chore: mark broken code in Vue 3 for further fixes [`d7e2594`](https://github.com/setaman/vue-ellipse-progress/commit/d7e2594ca86624c7082aba315597b26b4393f5e6)
- doc: add loader prop description [`96eeeb3`](https://github.com/setaman/vue-ellipse-progress/commit/96eeeb38ef2d76675ece4e3be62a779ee0efd922)
- doc: adjust loader description [`7be4e07`](https://github.com/setaman/vue-ellipse-progress/commit/7be4e07b5f4529cbc74712fa6126c16624514626)

---

